#ifndef	_SYS_SYSCALL_H
#define	_SYS_SYSCALL_H

#define SYS_BASE	0x900000

#define	SYS_setup		0 + SYS_BASE /* Used only by init, to get system going. */
#define SYS_exit		1 + SYS_BASE
#define SYS_fork		2 + SYS_BASE
#define SYS_read		3 + SYS_BASE
#define SYS_write		4 + SYS_BASE
#define SYS_open		5 + SYS_BASE
#define SYS_close		6 + SYS_BASE
#define SYS_waitpid		7 + SYS_BASE
#define SYS_creat		8 + SYS_BASE
#define SYS_link		9 + SYS_BASE
#define SYS_unlink		10 + SYS_BASE
#define SYS_execve		11 + SYS_BASE
#define SYS_chdir		12 + SYS_BASE
#define SYS_time		13 + SYS_BASE
#define SYS_mknod		14 + SYS_BASE
#define SYS_chmod		15 + SYS_BASE
#define SYS_chown		16 + SYS_BASE
#define SYS_break		17 + SYS_BASE
#define SYS_oldstat		18 + SYS_BASE
#define SYS_lseek		19 + SYS_BASE
#define SYS_getpid		20 + SYS_BASE
#define SYS_mount		21 + SYS_BASE
#define SYS_umount		22 + SYS_BASE
#define SYS_setuid		23 + SYS_BASE
#define SYS_getuid		24 + SYS_BASE
#define SYS_stime		25 + SYS_BASE
#define SYS_ptrace		26 + SYS_BASE
#define SYS_alarm		27 + SYS_BASE
#define SYS_oldfstat		28 + SYS_BASE
#define SYS_pause		29 + SYS_BASE
#define SYS_utime		30 + SYS_BASE
#define SYS_stty		31 + SYS_BASE
#define SYS_gtty		32 + SYS_BASE
#define SYS_access		33 + SYS_BASE
#define SYS_nice		34 + SYS_BASE
#define SYS_ftime		35 + SYS_BASE
#define SYS_sync		36 + SYS_BASE
#define SYS_kill		37 + SYS_BASE
#define SYS_rename		38 + SYS_BASE
#define SYS_mkdir		39 + SYS_BASE
#define SYS_rmdir		40 + SYS_BASE
#define SYS_dup			41 + SYS_BASE
#define SYS_pipe		42 + SYS_BASE
#define SYS_times		43 + SYS_BASE
#define SYS_prof		44 + SYS_BASE
#define SYS_brk			45 + SYS_BASE
#define SYS_setgid		46 + SYS_BASE
#define SYS_getgid		47 + SYS_BASE
#define SYS_signal		48 + SYS_BASE
#define SYS_geteuid		49 + SYS_BASE
#define SYS_getegid		50 + SYS_BASE
#define SYS_acct		51 + SYS_BASE
#define SYS_phys		52 + SYS_BASE
#define SYS_lock		53 + SYS_BASE
#define SYS_ioctl		54 + SYS_BASE
#define SYS_fcntl		55 + SYS_BASE
#define SYS_mpx			56 + SYS_BASE
#define SYS_setpgid		57 + SYS_BASE
#define SYS_ulimit		58 + SYS_BASE
#define SYS_oldolduname		59 + SYS_BASE
#define SYS_umask		60 + SYS_BASE
#define SYS_chroot		61 + SYS_BASE
#define SYS_ustat		62 + SYS_BASE
#define SYS_dup2		63 + SYS_BASE
#define SYS_getppid		64 + SYS_BASE
#define SYS_getpgrp		65 + SYS_BASE
#define SYS_setsid		66 + SYS_BASE
#define SYS_sigaction		67 + SYS_BASE
#define SYS_siggetmask		68 + SYS_BASE
#define SYS_sigsetmask		69 + SYS_BASE
#define SYS_setreuid		70 + SYS_BASE
#define SYS_setregid		71 + SYS_BASE
#define SYS_sigsuspend		72 + SYS_BASE
#define SYS_sigpending		73 + SYS_BASE
#define SYS_sethostname		74 + SYS_BASE
#define SYS_setrlimit		75 + SYS_BASE
#define SYS_getrlimit		76 + SYS_BASE
#define SYS_getrusage		77 + SYS_BASE
#define SYS_gettimeofday	78 + SYS_BASE
#define SYS_settimeofday	79 + SYS_BASE
#define SYS_getgroups		80 + SYS_BASE
#define SYS_setgroups		81 + SYS_BASE
#define SYS_select		82 + SYS_BASE
#define SYS_symlink		83 + SYS_BASE
#define SYS_oldlstat		84 + SYS_BASE
#define SYS_readlink		85 + SYS_BASE
#define SYS_uselib		86 + SYS_BASE
#define SYS_swapon		87 + SYS_BASE
#define SYS_reboot		88 + SYS_BASE
#define SYS_readdir		89 + SYS_BASE
#define SYS_mmap		90 + SYS_BASE
#define SYS_munmap		91 + SYS_BASE
#define SYS_truncate		92 + SYS_BASE
#define SYS_ftruncate		93 + SYS_BASE
#define SYS_fchmod		94 + SYS_BASE
#define SYS_fchown		95 + SYS_BASE
#define SYS_getpriority		96 + SYS_BASE
#define SYS_setpriority		97 + SYS_BASE
#define SYS_profil		98 + SYS_BASE
#define SYS_statfs		99 + SYS_BASE
#define SYS_fstatfs		100 + SYS_BASE
#define SYS_ioperm		101 + SYS_BASE
#define SYS_socketcall		102 + SYS_BASE
#define SYS_klog		103 + SYS_BASE
#define SYS_setitimer		104 + SYS_BASE
#define SYS_getitimer		105 + SYS_BASE
#define SYS_stat		106 + SYS_BASE
#define SYS_lstat		107 + SYS_BASE
#define SYS_fstat		108 + SYS_BASE
#define SYS_olduname		109 + SYS_BASE
#define SYS_iopl		110 + SYS_BASE
#define SYS_vhangup		111 + SYS_BASE
#define SYS_idle		112 + SYS_BASE
#define SYS_vm86		113 + SYS_BASE
#define SYS_wait4		114 + SYS_BASE
#define SYS_swapoff		115 + SYS_BASE
#define SYS_sysinfo		116 + SYS_BASE
#define SYS_ipc			117 + SYS_BASE
#define SYS_fsync		118 + SYS_BASE
#define SYS_sigreturn		119 + SYS_BASE
#define SYS_clone		120 + SYS_BASE
#define SYS_setdomainname	121 + SYS_BASE
#define SYS_uname		122 + SYS_BASE
#define SYS_modify_ldt		123 + SYS_BASE
#define SYS_adjtimex		124 + SYS_BASE
#define SYS_mprotect		125 + SYS_BASE
#define SYS_sigprocmask		126 + SYS_BASE
#define SYS_create_module	127 + SYS_BASE
#define SYS_init_module		128 + SYS_BASE
#define SYS_delete_module	129 + SYS_BASE
#define SYS_get_kernel_syms	130 + SYS_BASE
#define SYS_quotactl		131 + SYS_BASE
#define SYS_getpgid		132 + SYS_BASE
#define SYS_fchdir		133 + SYS_BASE
#define SYS_bdflush		134 + SYS_BASE
#define SYS_sysfs		135 + SYS_BASE
#define SYS_personality		136 + SYS_BASE
#define SYS_afs_syscall		137 + SYS_BASE /* Syscall for Andrew File System */
#define SYS_setfsuid		138 + SYS_BASE
#define SYS_setfsgid		139 + SYS_BASE
#define SYS__llseek		140 + SYS_BASE
#define SYS_getdents		141 + SYS_BASE
#define SYS__newselect		142 + SYS_BASE
#define SYS_flock		143 + SYS_BASE

#endif	/* <sys/syscall.h> */
